unit Unit20;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, FMX.TMSCloudFlickr,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.TMSCloudBase, FMX.TMSCloudBaseFMX, FMX.TMSCloudCustomFlickr;

type
  TForm20 = class(TForm)
    TMSFMXCloudFlickr1: TTMSFMXCloudFlickr;
  private
    { Private declarations }
  public
    { Public declarations }
    function connect : Boolean;
  end;

var
  Form20: TForm20;

implementation

{$R *.fmx}

{$I APPIDS.INC}

function TForm20.connect : Boolean;
var
  check : Boolean;
begin
  TMSFMXCloudFlickr1.App.Key := FlickrAppkey;
  TMSFMXCloudFlickr1.App.Secret := FlickrAppSecret;

  TMSFMXCloudFlickr1.PersistTokens.Key := ExtractFilePath(ParamStr(0)) + 'flickr.ini';
  TMSFMXCloudFlickr1.PersistTokens.Section := 'tokens';
  TMSFMXCloudFlickr1.LoadTokens;

  check := TMSFMXCloudFlickr1.TestTokens;
  if not check then
  begin
    TMSFMXCloudFlickr1.RefreshAccess;
    TMSFMXCloudFlickr1.DoAuth;
  end;

  Result := check
end;


end.
